> ## Documentation Index
> Fetch the complete documentation index at: https://developers.sendazi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SMS Campaign

> Retrieve details of a specific SMS campaign

<ParamField path="uuid" type="string" required>
  The unique identifier (UUID) of the campaign
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url "https://sendazi.com/api/v1/sms-campaigns/{uuid}" \
    --header "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```php PHP theme={null}
  <?php

  $curl = curl_init();

  curl_setopt_array($curl, [
    CURLOPT_URL => "https://sendazi.com/api/v1/sms-campaigns/{uuid}",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
      "Authorization: Bearer YOUR_ACCESS_TOKEN",
      "Content-Type: application/json"
    ],
  ]);

  $response = curl_exec($curl);
  curl_close($curl);

  echo $response;
  ```

  ```nodejs Node.js theme={null}
  const axios = require("axios");

  axios.get("https://sendazi.com/api/v1/sms-campaigns/{uuid}", {
    headers: {
      Authorization: "Bearer YOUR_ACCESS_TOKEN"
    }
  })
  .then(res => console.log(res.data))
  .catch(err => console.error(err));
  ```

  ```javascript JavaScript theme={null}
  fetch("https://sendazi.com/api/v1/sms-campaigns/{uuid}", {
    headers: {
      Authorization: "Bearer YOUR_ACCESS_TOKEN"
    }
  })
    .then(res => res.json())
    .then(data => console.log(data));
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://sendazi.com/api/v1/sms-campaigns/{uuid}",
      headers={
          "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
  )

  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "success": true,
    "data": {
      "id": 3,
      "uuid": "c6c2f78c-fd96-4c46-806b-f42db252d67d",
      "name": "test",
      "total_recipients": 1,
      "messages_sent": 0,
      "credits_used": "0.00",
      "sender_id": "SIRATEQ GH",
      "created_at": "2026-01-01T01:37:19.000000Z",
      "updated_at": "2026-01-01T01:37:25.000000Z",
      "scheduled_at": null,
      "status": "failed",
      "is_recurring": false,
      "recurrence_frequency": "daily",
      "recurrence_interval": 1,
      "recurrence_ends_at": null,
      "started_at": null,
      "ended_at": "2026-01-01 01:37:25"
    }
  }
  ```

  ```json 404 - Not Found theme={null}
  {
    "success": false,
    "message": "Campaign not found."
  }
  ```
</ResponseExample>
